function somethingdied(eventname, name)
    game.print("Event ran: " .. eventname .. "\nEntity name: " .. name)

end

function robotdied(event)
    somethingdied("Combat Robot Expired",event.robot.name)
end

function entitydied(event)
    somethingdied("Entity Died",event.entity.name)
end

function entitydamaged(event)
    somethingdied("Entity Damaged",event.entity.name)
end

function entitydestroyed(event)
    somethingdied("Entity Destroyed",event.registration_number)
end

function scriptdestroyed(event)
    somethingdied("Script Raised Destroy",event.entity.name)
end

script.on_event(defines.events.on_combat_robot_expired, robotdied)
script.on_event(defines.events.on_entity_died, entitydied)
script.on_event(defines.events.on_entity_damaged, entitydamaged)
script.on_event(defines.events.on_entity_destroyed, entitydestroyed)
script.on_event(defines.events.script_raised_destroy, scriptdestroyed)

--No event fires for construction or logistic robots, their dying animation doesn't seem to trigger either like it does for combat robots, just nothing happens except it stops existing.